FROM node:16.13.1 AS builder

WORKDIR /app

COPY ./patches /app/patches
COPY package.json /app/package.json
COPY package-lock.json /app/package-lock.json

RUN npm set progress=false
RUN npm install --force --registry=https://registry.npm.taobao.org

COPY . .
RUN npm run build


FROM alpine:3.15.0
WORKDIR /app
COPY --from=builder /app/build /app/build
